Table of Contents

Class: IConsumer | Twisted-0.17.4/twisted/internet/interfaces.py
--- | ---

A consumer consumes data from a producer.

Base Classes |
--- | ---
Interface

Methods |
--- | ---
registerProducer unregisterProducer write
| registerProducer

    registerProducer (
            self,
            producer,
            streaming,
            )

### Register to receive data from a producer.

This sets self to be a consumer for a producer. When this object runs out of data on a write() call, it will ask the producer to resumeProducing(). A producer should implement the IProducer interface.

Exceptions |
--- | ---
NotImplementedError

| unregisterProducer

    unregisterProducer ( self )

Stop consuming data from a producer, without disconnecting.

Exceptions |
--- | ---
NotImplementedError

| write

    write ( self,  data )

The producer will write data by calling this method.

Exceptions |
--- | ---
NotImplementedError

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0